Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.BioRadio.Signals.PpgSignal Class Reference

| Bio Radio SDK - Xamarin Android

List of all members
GLNeuroTech.Devices.BioRadio.Signals.PpgSignal Class Reference

A signal that represents Photoplethysmogram data. More...

Inheritance diagram for GLNeuroTech.Devices.BioRadio.Signals.PpgSignal:

## Additional Inherited Members

Public Member Functions inherited from GLNeuroTech.Devices.Common.Signal
void | Reset ()
| Clears any data in the input buffer for this signal. More...
void | AddSample (uint timeStamp, long rawValue)
| Add Sample More...
long | GetNextRawValue ()
| Returns the next raw sensor value in the buffer. More...
double [] | GetScaledValueArray ()
| Used to retrieve an array of scaled sample values from the signal More...
double [] | GetScaledValueArray (int count)
| Creates an array of values representing the samples from the signal. More...
IEnumerable< double > | GetScaledValues ()
| Enumerates over all scaled values currently in the signal buffer. More...
long [] | GetRawValueArray (int count)
| Gets an array of raw (unscaled) values from the signal. More...
IEnumerable< long > | GetRawValues (int count)
| Enumerates over raw values in the signal buffer. More...
IEnumerable< long > | GetRawValues ()
| Enumerates over raw values in the signal buffer. More...
Sample | GetNextSample ()
| Used to retrieve the next Sample object in the signal buffer. More...
IEnumerable< Sample > | GetSamples ()
| Iterates over all samples currently in the signal buffer. More...
void | Dispose ()
Public Attributes inherited from GLNeuroTech.Devices.BioRadio.BioRadioSignal
const long | RawPadValue = long.MaxValue
| The value reserved to indicate a pad value in the raw data stream. More...
const int | ScaledPadValue = 9999999
| The value reserved to indicate a pad value in the scaled data stream. More...
Protected Member Functions inherited from GLNeuroTech.Devices.Common.Signal
| Signal ()
Properties inherited from GLNeuroTech.Devices.BioRadio.BioRadioSignal
ChannelConfiguration | Configuration`[get, set]`
| Describes the device configuration options that have been set for this channel. More...
Properties inherited from GLNeuroTech.Devices.Common.Signal
SignalGroup | Owner`[get]`
| The SignalGroup to which this signal belongs. More...
int | SamplesPerSecond`[get, set]`
| The number of samples transmitted by the device in one second. More...
TimeSpan | SampleInterval`[get, set]`
| The time interval between sample readings. More...
double | MaxValue`[get, set]`
| The maximum scaled value that this signal supports. More...
double | MinValue`[get, set]`
| The miniumum scaled value that this signal supports. More...
double | RawMinValue`[get, set]`
| The minimum unscaled value that this signal supports. More...
double | RawMaxValue`[get, set]`
| The maximum unscaled value that this signal supports. More...
string | Name`[get, set]`
| The name associated with this signal. More...
string | Units`[get, set]`
| The units of measurement in which scaled values are reported. More...
int | ReadingsAvailable`[get, set]`
| The number of samples available to be read More...
bool | Enabled`[get, set]`
| Indicates whether the signal is enabled. More...

## Detailed Description

A signal that represents Photoplethysmogram data.